aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xpaludis/repositories/e/ebuild/write_vdb_entry.bash5
1 files changed, 4 insertions, 1 deletions
diff --git a/paludis/repositories/e/ebuild/write_vdb_entry.bash b/paludis/repositories/e/ebuild/write_vdb_entry.bash
index 4cb4b7dcb..9b2e27d8b 100755
--- a/paludis/repositories/e/ebuild/write_vdb_entry.bash
+++ b/paludis/repositories/e/ebuild/write_vdb_entry.bash
@@ -157,7 +157,10 @@ main()
ebuild_section "Generating saved ebuild and environment..."
[[ -f "${EBUILD}" ]] && cp "${EBUILD}" ${vdbdir}/
- bzip2 < ${envfile} > ${vdbdir}/environment.bz2
+ if ! bzip2 < ${envfile} > ${vdbdir}/environment.bz2 ; then
+ echo "!!! vdb write environment.bz2 failed"
+ exit 1
+ fi
ebuild_section "Finished writing VDB entry"